Author: Agustin Martin Domingo <agmartin@debian.org>
Description: Avoid embedded copies of python-{imaging,reportlab} libraries.

sk1libs contains embedded copies of python-{imaging,reportlab} libraries.
While they are supposed to contain patches not accepted by different
upstreams and other fixes, we better try to use standard Debian
python-{imaging,reportlab} libraries, so we do not install the embedded
copies.

For reportlab this should not be a problem as sk1libs already used a
'reportlab' alias to the newly named module 'libpdf', but all references
used the 'reportlab' naming.

For PIL, the reference in the embedded copy has been changed to
'sk1libs.imaging' and used by that name in the different programs.
I try a hack to define 'sk1libs.imaging' as an alias to standard PIL,
do not know if this will work, I do not speak Python.

Index: python-sk1libs/setup.py
===================================================================
--- python-sk1libs.orig/setup.py	2013-07-11 15:04:09.000000000 +0200
+++ python-sk1libs/setup.py	2013-07-11 15:08:01.221520712 +0200
@@ -155,11 +155,6 @@
 		packages = ['sk1libs',
 				'sk1libs.pycms',
 				'sk1libs.ft2engine',
-				'sk1libs.imaging',
-				'sk1libs.libpdf',
-				'sk1libs.libpdf.lib',
-				'sk1libs.libpdf.pdfbase',
-				'sk1libs.libpdf.pdfgen',
 				'sk1libs.utils',
 				'sk1libs.filters',
 				'sk1libs.filters.formats',
@@ -182,8 +177,7 @@
 		package_data = {'sk1libs.filters': ['import/*.py','export/*.py','parsing/*.py','preview/*.py'], 
 					'sk1libs.ft2engine': ['fallback_fonts/*.*'],'sk1libs.pycms': ['profiles/*.*'],},
 		
-		ext_modules = [pycms_module, imaging_module, immath_module, 
-					imcms_module, imft_module, ft2_module])
+		ext_modules = [pycms_module, ft2_module])
 	
 ##############################################
 # This section for developing purpose only
Index: python-sk1libs/src/__init__.py
===================================================================
--- python-sk1libs.orig/src/__init__.py	2013-07-11 15:04:42.153042062 +0200
+++ python-sk1libs/src/__init__.py	2013-07-11 15:07:23.715691397 +0200
@@ -1,3 +1,3 @@
 
-import sys, libpdf
-sys.modules['reportlab'] = libpdf
\ No newline at end of file
+import sys, reportlab, PIL
+sys.modules['sk1libs.imaging'] = PIL
